Skip to main content
`Ctrl`+`K`

# PetscLogStageSetActive

Sets if a stage is used for `PetscLogEventBegin()` and `PetscLogEventEnd()`.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogStageSetActive(PetscLogStage stage, PetscBool isActive)

Not Collective

## Input Parameters

- stage - The stage

- isActive - The activity flag, `PETSC_TRUE` for logging, else `PETSC_FALSE` (defaults to `PETSC_TRUE`)

## Note

If this is set to `PETSC_FALSE` the logging acts as if the stage did not exist

## See Also

Profiling, `PetscLogStageRegister()`, `PetscLogStagePush()`, `PetscLogStagePop()`, `PetscLogEventBegin()`, `PetscLogEventEnd()`, `PetscPreLoadBegin()`, `PetscPreLoadEnd()`, `PetscPreLoadStage()`

## Level

intermediate

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages